Bug 1920771 - i18n: Delete persistent volume claim drop down is not translated
Summary: i18n: Delete persistent volume claim drop down is not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 02:16 UTC by Siva Reddy
Modified: 2021-02-24 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Text was not internationalized. Consequence: The text didn't pseudolocalize. Fix: Internationalized text. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Delete option not translated. (72.03 KB, image/png)
2021-01-27 02:16 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7951 0 None closed Bug 1920771: Internationalize Delete Persistent Volume Claim 2021-02-08 17:06:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:59 UTC

Description Siva Reddy 2021-01-27 02:16:45 UTC
Created attachment 1751085 [details]
Delete option not translated.

Description of problem:
  The delete persistent volume claim drop down is not marked for translation.
attached the screen shot

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-26-162323

How reproducible:
Always

Steps to Reproduce:
1. visit console and add ?pseudolocalization=true&lng=en suffix
2. navigate to Storage>persistent volume claim
3. create a pvc by clicking create and saving the default yaml (it will go into pending state but that is immaterial for this bug)
4. Click on the pvc claim to go to details
5. Observe the drop down options

Actual results:
  the delete persistent volume claim is not marked for translation

Expected results:
  the item in drop down should be marked for translation

Additional info:

Comment 1 ralpert 2021-01-27 17:11:18 UTC
Thanks, looks like https://github.com/openshift/console/pull/7123/files doesn't include this.

Comment 3 Yanping Zhang 2021-02-02 13:50:11 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-01-31-031653.
Create pvc in project, add ?pseudolocalization=true&lng=en suffix in console url, then check "Delete PersistentVolumeClaim" in action dropdown list, it's marked for translation.
The bug is fixed.

Comment 6 errata-xmlrpc 2021-02-24 15:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.